# Account - Details

| **API URL**     | {{url}}/admin-service/account/details |
| --------------- | ------------------------------------- |
| **Method**      | POST                                  |
| **Description** | Account details                       |

#### **Input**: <a href="#account-details-input" id="account-details-input"></a>

| **Field Name** | **Type** | **Mandatory** | **Example** |
| -------------- | -------- | ------------- | ----------- |
| tenantId       | Number   | Yes           | 208         |
| id             | Number   | Yes           | 4           |

#### **Sample Input:** <a href="#account-details-sampleinput" id="account-details-sampleinput"></a>

{\
"tenantId": 208,\
"id": 4\
}

#### **Output:** <a href="#account-details-output" id="account-details-output"></a>

| **Field Name**    | **Type** | **Comments**                       |
| ----------------- | -------- | ---------------------------------- |
| `id`              | Number   | Account id                         |
| `name`            | String   | Account name                       |
| `maxNoOfUsers`    | Number   | Maximum number of users in account |
| `tenantId`        | Number   | Account tenant id                  |
| `id`              | Number   | Country id                         |
| `unitMeasurement` | String   | Unit measurement format            |
| `id`              | Number   | Clinical workflow id               |
| `name`            | String   | Clinical workflow name             |
| `workflow`        | String   | Workflow                           |
| `moduleType`      | String   | Workflow module type               |
| `default`         | String   | Default for workflow true/false    |
| `id`              | Number   | Account admin id                   |
| `username`        | String   | Account admin mail id              |
| `firstName`       | String   | Account admin first name           |
| `lastName`        | String   | Account admin last name            |
| `gender`          | String   | Account admin gender               |
| `countryCode`     | String   | Country code for phone number      |
| `phoneNumber`     | String   | Account admin phone number         |
| `id`              | Number   | Time zone id                       |
| `offset`          | Number   | Time zone offset                   |
| `description`     | String   | Time zone description              |

#### **Sample Output:** <a href="#account-details-sampleoutput" id="account-details-sampleoutput"></a>

```
{
    "message": "Got account.",
    "entity": {
        "id": 4,
        "name": "Ghana Health Service",
        "maxNoOfUsers": 100,
        "tenantId": 208,
        "country": {
            "id": 3,
            "name": "Ghana",
            "countryCode": "233",
            "unitMeasurement": "metric"
        },
        "clinicalWorkflow": [
            {
                "id": 1,
                "name": "mental health",
                "workflow": "phq4",
                "moduleType": "clinical",
                "default": false
            },
            {
                "id": 3,
                "name": "hypertension",
                "workflow": "bp_log",
                "moduleType": "clinical",
                "default": true
            },
            {
                "id": 4,
                "name": "diabetics",
                "workflow": "glucose_log",
                "moduleType": "clinical",
                "default": true
            }
        ],
        "customizedWorkflow": [
            {
                "id": 40,
                "name": "Gasstroke",
                "workflow": "gasstroke",
                "moduleType": "customized",
                "default": false
            }
        ],
        "users": [
            {
                "id": 183,
                "username": "GH_xxxxxHealthService@spice.com",
                "firstName": "Ghana Health Service",
                "lastName": "Ghana Health Service",
                "gender": null,
                "country": {
                    "id": 3,
                    "name": "Ghana",
                    "countryCode": "233",
                    "unitMeasurement": "metric"
                },
                "countryCode": "233",
                "phoneNumber": "78737XXX5",
                "timezone": {
                    "id": 88,
                    "offset": "+00:00",
                    "description": "(UTC) Monrovia, Reykjavik"
                }
            }
        ],
        "countryCode": "233"
    },
    "status": true,
    "entityList": null,
    "responseCode": 200,
    "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/spice-docs/versions/spice-1.0/engineering/api-documentation/admin-services/account/account-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
